preload button hover image:
HomeSearchRankingsStatisticsAboutContact
Current Time: Jul 04, 2022, 03:54:16 am
 Dwarf Fortress File Depot
      
Registration is not required to download. However, it will allow you to vote, comment, and upload. Forgot your password?
User Name Group Member Since File Listings Comments
Taneorox Regular User Oct 15, 2014, 12:39:46 am 0 3
Comments
IP: logged
 Re: MacNewbie Pack 0.9.10a w/ DF 40.13 (v 0.9.10a)  » posted under MacNewbie Pack 0.9.18 w/ DF 40.24 on Oct 23, 2014, 04:06:12 pm
fricy wrote:
...a terminal window to run the either ./df or ./df-vanilla, neither of which is an XQuartz file.

Nevermind, I installed iTerm and it ran perfectly. Thank you for your time.
IP: logged
 Re: MacNewbie Pack 0.9.10a w/ DF 40.13 (v 0.9.10a)  » posted under MacNewbie Pack 0.9.18 w/ DF 40.24 on Oct 23, 2014, 03:58:45 pm
fricy wrote:
X11 is not needed anymore, since freetype support library is included, neither is Wine, because everything is native OSX. You either use the launcher to start the game, or a terminal window to run the either ./df or ./df-vanilla, neither of which is an XQuartz file.
You haven't told me which system you have, but it should work on 10.6-10.10, I recommend using at least 10.7.

Ahh, awesome. So I run the launcher, hit "Play Dwarf Fortress" and nothing happens. I should have stated that, sorry. And are there any alternatives to terminal, as my laptop doesn't have access to it?

I am running Os X 10.8.5 :)
comment last edited by Taneorox on Oct 23, 2014, 03:59:15 pm
IP: logged
 MacNewbie Pack 0.9.10a w/ DF 40.13 (v 0.9.10a)  » posted under MacNewbie Pack 0.9.18 w/ DF 40.24 on Oct 22, 2014, 05:56:47 pm
Okay, I am starting to get rather frustrated as I don't quite know where I am going wrong :-x .
I have XQuartz (newest updated version), I have X11 and I have Wine and Wine Bottler, yet the df file will not run. It has it set as just a Unix Executable File, meaning to run with XQuartz, I need to right-click, open with, other, find XQuartz and enable ALL APPLICATIONS to run it. So, it doesn't even register as an XQuartz file. And even when I do that, it just opens X11 and "bash-3.2$" appears and that's it.

Can someone please help, or I'll have to turn to alcoholism :pint:.
HomeSearchRankingsStatisticsAboutContact

Website © 2022 FenriSoft. The core site script is PHCDownload (© 2005-2022).
Hosted by Linode.